Skip to content

FX

Returns the current mid-market exchange rate for a given currency pair. This is the base rate before any FX fees — FX fees will be charged on top of this rate.

Operations

Get Mid-Market Rate

Request

Returns the current mid-market exchange rate for a given currency pair. This is the base rate before any FX fees — FX fees will be charged on top of this rate.

Notes:

  • This returns the mid-market rate only. FX fees are charged separately on top of this rate during actual conversions.
  • The rate is cached and expires_at indicates when the cached rate expires.
Security
JWT
Query
source_currencystring, (iso-4217)required

The source currency code in ISO 4217 format (e.g. USD).

Example:source_currency=USD
target_currencystring, (iso-4217)required

The target currency code in ISO 4217 format (e.g. EUR).

Example:target_currency=EUR
GET
/fx-rate
curl -i -X GET \
  'https://api.glomopay.com/api/v1/fx-rate?source_currency=USD&target_currency=EUR' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
source_currencystring

Source currency code.

Example:"USD"
target_currencystring

Target currency code.

Example:"EUR"
mid_market_ratenumber, (float)

Mid-market exchange rate. FX fees are charged on top of this rate.

Example:0.859401
expires_atstring, (date-time)

ISO 8601 UTC timestamp indicating when this cached rate expires. A fresh rate is fetched from the provider after expiry.

Example:"2026-05-05T08:39:18Z"
Response
{ "source_currency": "USD", "target_currency": "EUR", "mid_market_rate": 0.859401, "expires_at": "2026-05-05T08:39:18Z" }